/*
 * (C) Copyright 2011- ECMWF.
 *
 * This software is licensed under the terms of the Apache Licence Version 2.0
 * which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
 * In applying this licence, ECMWF does not waive the privileges and immunities
 * granted to it by virtue of its status as an intergovernmental organisation nor
 * does it submit to any jurisdiction.
 */

#ifndef eccodes_ecbuild_config_h
#define eccodes_ecbuild_config_h

/* ecbuild info */

#ifndef ECBUILD_VERSION_STR
#define ECBUILD_VERSION_STR "3.4.1"
#endif
#ifndef ECBUILD_VERSION
#define ECBUILD_VERSION "3.4.1"
#endif
#ifndef ECBUILD_MACROS_DIR
#define ECBUILD_MACROS_DIR  "/workspace/srcdir/eccodes-2.19.1-Source/cmake"
#endif

/* config info */

#define ECCODES_OS_NAME          "FreeBSD"
#define ECCODES_OS_BITS          64
#define ECCODES_OS_BITS_STR      "64"
#define ECCODES_OS_STR           "freebsd.64"
#define ECCODES_OS_VERSION       ""
#define ECCODES_SYS_PROCESSOR    "x86_64"

#define ECCODES_BUILD_TIMESTAMP  "20201125230805"
#define ECCODES_BUILD_TYPE       "Release"

#define ECCODES_C_COMPILER_ID      "Clang"
#define ECCODES_C_COMPILER_VERSION "9.0.1"

#define ECCODES_CXX_COMPILER_ID      ""
#define ECCODES_CXX_COMPILER_VERSION ""

#define ECCODES_C_COMPILER       "/opt/bin/clang"
#define ECCODES_C_FLAGS          "-I/workspace/destdir/include -O3 -DNDEBUG"

#define ECCODES_CXX_COMPILER     "/opt/bin/clang++"
#define ECCODES_CXX_FLAGS        ""

/* Needed for finding per package config files */

#define ECCODES_INSTALL_DIR       "/workspace/destdir"
#define ECCODES_INSTALL_BIN_DIR   "/workspace/destdir/bin"
#define ECCODES_INSTALL_LIB_DIR   "/workspace/destdir/lib"
#define ECCODES_INSTALL_DATA_DIR  "/workspace/destdir/share/eccodes"

#define ECCODES_DEVELOPER_SRC_DIR "/workspace/srcdir/eccodes-2.19.1-Source"
#define ECCODES_DEVELOPER_BIN_DIR "/workspace/srcdir/eccodes-2.19.1-Source/build"

/* Fortran support */

#if 0

#define ECCODES_Fortran_COMPILER_ID      ""
#define ECCODES_Fortran_COMPILER_VERSION ""

#define ECCODES_Fortran_COMPILER "/opt/bin/gfortran"
#define ECCODES_Fortran_FLAGS    ""

#endif

#endif /* eccodes_ecbuild_config_h */
